Name: 		git-info-bar
Version: 	1.2.0
Release: 	%mkrel 6
Summary: 	Shell plugin displaying various git attributes
License:	GPLv2
Group: 		Development/Other
Url: 		https://github.com/comwt/git-info-bar
Source0: 	https://github.com/downloads/comwt/git-info-bar/git-info-bar-%{version}.tar.gz
BuildArch:  noarch

%description
git-info-bar is a shell plugin that endeavors to provide a fast and pronounced
(highly visible) view of various git attributes when you are under the umbrella
of a git repository.  Its main feature, the 'info bar' (information bar),
displays the following:

- current branch (in 'red' if on master)
- current cksum (in 'red' if there are uncommitted changes and
  displays an 'uncommitted changes' message in the message area)
- stash count in the message area if you have stashes

The info bar is only displayed when you are in a git repository's path.

%prep
%setup -q

%build

%install
install -d -m 755 %{buildroot}%{_sysconfdir}/profile.d
install -m 644 source/git-info-bar/plugin.perl \
    %{buildroot}%{_sysconfdir}/profile.d/93git-info-bar.sh

%files
%doc README source/git-info-bar/License
%{_sysconfdir}/profile.d/93git-info-bar.sh



%changelog
* Tue Feb 11 2020 umeabot <umeabot> 1.2.0-6.mga8
+ Revision: 1489845
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.2.0-5.mga7
+ Revision: 1261230
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 1.2.0-4.mga6
+ Revision: 935026
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 745296
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-2.mga5
+ Revision: 679590
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 guillomovitch <guillomovitch> 1.2.0-1.mga4
+ Revision: 559852
- new version 1.2.0

* Sat Oct 19 2013 umeabot <umeabot> 1.1.8-2.mga4
+ Revision: 524007
- Mageia 4 Mass Rebuild

* Tue May 28 2013 guillomovitch <guillomovitch> 1.1.8-1.mga4
+ Revision: 429761
- new version

* Sat Jan 12 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 351572
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 08 2012 guillomovitch <guillomovitch> 1.1.0-1.mga2
+ Revision: 221732
- imported package git-info-bar


* Thu Mar 08 2012 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-1.mga2
- first mageia release

